#jinja2:lstrip_blocks: True
# {{ ansible_managed }}
---
{% if puppet_agent_signing_key is defined %}
custom_attributes:
  1.2.840.113549.1.9.7: {{ puppet_agent_signing_key }}
{% endif %}
{% if puppet_agent_csr_attributes is defined %}
extension_requests:
{% for key, value in puppet_agent_csr_attributes.items() %}
  {{ key }}: {{ value }}
{% endfor %}
{% endif %}

